#ifndef UTILS_H
#define UTILS_H

#include <string>
#include <regex>
#include <vector>

const char *trim_path(const char *filepath);

bool replace(std::string &str, const std::string &from, const std::string &to);
bool replace(std::string &str, const char *from, const char *to);
void ansi_clean(std::string &str);
void high_ascii(std::string &str);
std::smatch ansi_newline(const std::string &str);
std::string clean_string(const std::string &source);
std::vector<std::string> split(const std::string &line);
std::vector<std::string> split(const std::string &line, const std::string &by);
bool startswith(const std::string &line, const std::string &has);
bool endswith(const std::string &line, const std::string &has);
bool in(const std::string &line, const std::string &has);
std::string repr(const std::string &source);

bool file_exists(const std::string &name);

#endif